at.chipkarte.client.dmp.soap

## Class AusschreibeErgebnis

- Object
- - at.chipkarte.client.dmp.soap.AusschreibeErgebnis

-     public class AusschreibeErgebnis
      extends Object

  Enthält die Daten zu einer erfolgreich durchgeführten DMP Ausschreibeanfrage.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AusschreibeErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusschreibeStatus()` Status der Ausschreibung.
    `String` | `getAusschreibeZeitstempel()` Zeitpunkt, ab dem die Ausschreibung zur Weitergabe zum DMP-Backend bereitsteht.
    `String` | `getDmpCode()` Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
    `SvPerson` | `getPatient()` Daten zum DMP-Patient.
    `void` | `setAusschreibeStatus(String ausschreibeStatus)`
    `void` | `setAusschreibeZeitstempel(String ausschreibeZeitstempel)`
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setPatient(SvPerson patient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AusschreibeErgebnis

          public AusschreibeErgebnis()

  - ### Method Detail

    - #### getPatient

          public SvPerson getPatient()

      Daten zum DMP-Patient.
      Returns:
        SvPerson

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getAusschreibeZeitstempel

          public String getAusschreibeZeitstempel()

      Zeitpunkt, ab dem die Ausschreibung zur Weitergabe zum DMP-Backend bereitsteht.
      Format: "TT.MM.JJJJ HH:MM".
      Returns:
        AusschreibeZeitstempel

    - #### getAusschreibeStatus

          public String getAusschreibeStatus()

      Status der Ausschreibung.
      Mögliche Werte siehe `Konstante AnfrageStatus`.
      Format: maximal 3-stellig.
      Returns:
        Status der Ausschreibung

    - #### setPatient

          public void setPatient(SvPerson patient)

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setAusschreibeZeitstempel

          public void setAusschreibeZeitstempel(String ausschreibeZeitstempel)

    - #### setAusschreibeStatus

          public void setAusschreibeStatus(String ausschreibeStatus)